<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage fitness-blocks
 * @since fitness-blocks 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function fitness_blocks_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Fitness_Blocks_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Fitness Blocks Pro', 'fitness-blocks' ),
		'button_text'      => __( 'Upgrade Pro', 'fitness-blocks' ),
		'url'              => 'https://www.wpradiant.net/products/fitness-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'fitness_blocks_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function fitness_blocks_custom_control_scripts() {
	wp_enqueue_script( 'fitness-blocks-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'fitness-blocks-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'fitness_blocks_custom_control_scripts' );